## org.biojava.bio.program.tagvalue
Class ChangeTable.ChainedChanger

    java.lang.Object
      org.biojava.bio.program.tagvalue.ChangeTable.ChainedChanger

All Implemented Interfaces:
  ChangeTable.Changer

Enclosing class:
  ChangeTable

    public static class ChangeTable.ChainedChanger

extends Object
implements ChangeTable.Changer

An implementation of Changer that applies a list of Changer instances to the value in turn.

Since:
  1.3
Author:
  Matthew Pocock

Constructor Summary
`ChangeTable.ChainedChanger(ChangeTable.Changer[] changers)`

Method Summary
`Object` `change(Object value)` Produce a modified value from an old value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeTable.ChainedChanger

    public ChangeTable.ChainedChanger(ChangeTable.Changer[] changers)

Method Detail

### change

    public Object change(Object value)
                  throws ParserException

  Description copied from interface: `ChangeTable.Changer`

  Produce a modified value from an old value.

  It is strongly recommended that this method is re-entrant and does not modify the state of the Changer in a way that would affect future return -values.

  Specified by:
    `change` in interface `ChangeTable.Changer`
  Parameters:
    `value` - the old value Object
  Returns:
    the new value Object
  Throws:
    `ParserException` - if value could not be changed